All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.publicobject
Class ResponsibilityDetails

    com.sas.services.information.publicobject.ResponsibilityDetails

All Implemented Interfaces:
  java.io.Serializable

    public class ResponsibilityDetails

implements java.io.Serializable

A simple wrapper class used for providing details of a responsible party object in metadata.

See Also:
  Serialized Form

Constructor Summary
`ResponsibilityDetails(java.lang.String userName, java.lang.String role)`
`ResponsibilityDetails(java.lang.String name, java.lang.String userName, java.lang.String role)`

Method Summary
`java.lang.String` | `getName()` Returns the name of the responsibility.
`java.lang.String` | `getRole()` Returns the responsibility's role.
`java.lang.String` | `getUserName()` Returns the display name of the identity.
`void` | `setName(java.lang.String name)` Sets the identity's name (not display name).
`void` | `setPerson(java.lang.String userName)` Deprecated. use `setUserName(String)` or `setName(String)`
`void` | `setRole(java.lang.String role)` Sets the role associated to the responsibility
`void` | `setUserName(java.lang.String userName)` Sets the display name of the user
`java.lang.String` | `toString()`

Constructor Detail

### ResponsibilityDetails

    public ResponsibilityDetails(java.lang.String userName,
                                 java.lang.String role)

### ResponsibilityDetails

    public ResponsibilityDetails(java.lang.String name,
                                 java.lang.String userName,
                                 java.lang.String role)

Method Detail

### getName

    public final java.lang.String getName()

  Returns the name of the responsibility. The name will also correspond to the name of the associated identity.

  Returns:

### getUserName

    public final java.lang.String getUserName()

  Returns the display name of the identity. This should be used for display purposes only, and if the actual name of the identity is needed instead, `getName()` should be used instead.

  If the associated identity does not contain a display name, the name will be returned instead. This method is equivalent to `IdentityInterface.getEffectiveDisplayName()`.

  Returns:
    the identity or user's display name

### getRole

    public final java.lang.String getRole()

  Returns the responsibility's role.

  Returns:
    the role

### setRole

    public final void setRole(java.lang.String role)

  Sets the role associated to the responsibility

  Parameters:
    `role` -

### setUserName

    public final void setUserName(java.lang.String userName)

  Sets the display name of the user

  Parameters:
    `userName` - the user's display name

### setName

    public final void setName(java.lang.String name)

  Sets the identity's name (not display name).

  Parameters:
    `name` -

### setPerson

    public final void setPerson(java.lang.String userName)

  Deprecated. use `setUserName(String)` or `setName(String)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.